package com.bbk.launcher2.preferences.openinterface;
interface ILauncherPrefService {
  /**
    * 两个key(1个之前判断桌面布局，1个新增来判断是否支持设置互传换机环境给桌面
    * 1、is_easy_share_enable  之前判断桌面布局
    * 2、is_easy_share_desktop_app_disable_support_all 新增来判断是否支持设置互传换机环境给桌面，桌面支持则返回true
    * */
    boolean getValueByKey(String packageName, String className, String key, boolean defaultVal);

    /**
    * packageName和className与之前相同
    *
    * key: 有两个，一个是新手机的标志，一个是旧手机的标志
    *   新：set_easy_share_environment_new_phone
    *   旧：set_easy_share_environment_old_phone
    * setValue:
    *   true：表示进入互传换机app环境
    *   false：表示退出互传换机app换机
    *
    * return: 如果桌面接收到setValue成功并且自身设置为setValue状态值成功，则返回true(与所setvalue无关)
    *
    * */
    boolean setValueByKey(IBinder easyshareClient, String packageName, String className, String key, boolean setValue);

    String getSearchSharedPref(String packageName, String className);

    /**
    * 告知桌面接下来哪些应用将会被互传disable， for 区分是互传disable还是google disable某应用
    * @param packageName 互传包名 值同之前
    * @param className  固定互传的字段 值同之前
    * @param packageNames  接下来将会被互传disable的包名列表
    * @param flags 保留 默认是0
    * @return 返回是否成功接收的结果
    */
    boolean setPackageNames(String packageName, String className, in List<String> packageNames, int flags);

    /**
    * 获取桌面布局的countX和countY，返回一个拼接的字符串，如 4*5
    * */
    String getLayoutCountParam(String packageName,String className);
}
